<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>m17n ライブラリ: 構造体 MDrawControl</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- 作成： Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'検索');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>メインページ</span></a></li>
      <li><a href="pages.html"><span>関連ページ</span></a></li>
      <li><a href="modules.html"><span>モジュール</span></a></li>
      <li class="current"><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="files.html"><span>ファイル</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="検索" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="classes.html"><span>データ構造索引</span></a></li>
      <li><a href="functions.html"><span>データフィールド</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>構造体 MDrawControl<br/>
<small>
[<a class="el" href="group__m17nDraw.html">表示</a>]</small>
</h1><!-- doxytag: class="MDrawControl" -->
<p>テキスト表示制御の型宣言.  
<a href="#_details">[詳細]</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>変数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawControl.html#af301cfe17b9e439d316e110a0bf3c92f">as_image</a>: 1</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawControl.html#a5aa326c8b84bf768b68596f6abafab42">align_head</a>: 1</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawControl.html#aa8078b02cc0922ee8c67b9633b68ec14">two_dimensional</a>: 1</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawControl.html#a1d5acd8d1a0da026c17c0c514ad6a303">orientation_reversed</a>: 1</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawControl.html#aa1e5f8852e113906ae304de0392585cb">enable_bidi</a>: 1</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawControl.html#a5552f972cdf5378dd22001e30ea76c6c">ignore_formatting_char</a>: 1</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawControl.html#ae64a993e19d6a445da577908b00f3215">fixed_width</a>: 1</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawControl.html#acb409990f67127a3b770085d45f6ce2d">anti_alias</a>: 1</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawControl.html#a8ab506d53849a2527b91355d784c4fe9">disable_overlapping_adjustment</a>: 1</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawControl.html#a5dcb86bffa8bdbd27d9c629e972c8e4d">min_line_ascent</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawControl.html#af101c1b8c432dfdeeb9aedcc2acd788d">min_line_descent</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawControl.html#a580b5482104099d6d0b087e575e3bf49">max_line_ascent</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawControl.html#a2801c3613af8ee5ffede27cdbcc1c91e">max_line_descent</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawControl.html#a7fc02b6a32786c4cb255c706f89dd1a4">max_line_width</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawControl.html#a80fd394fb5a68f773c06badcff75a67f">tab_width</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawControl.html#a12ce6429f5889dc5e9dd7b96c3be6ed4">format</a> )(int line, int y, int *indent, int *width)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawControl.html#a01f9bbffae254744fefe98794f357439">line_break</a> )(<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int pos, int from, int to, int line, int y)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawControl.html#a06b6e4aa0a938077c6a3885f26e00fa1">with_cursor</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawControl.html#a86f43b5b69cac1ae87df02d129bb41cb">cursor_pos</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawControl.html#abecdf1eed786dd72a99a58a77508c605">cursor_width</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawControl.html#acc07249ccdbadac27613ef85e3eaf619">cursor_bidi</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawControl.html#ab2291cc39af2f862b4e5ebd1dbba4162">partial_update</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawControl.html#a5e496fa6dcad730d7d04048b87c0d01e">disable_caching</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nDraw.html#ga9818c0695d9162a9637fa4e98a1d477d">MDrawRegion</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawControl.html#a3485775bf4708899bbad2626e6c594ce">clip_region</a></td></tr>
</table>
<hr/><a name="_details"></a><h2>説明</h2>
<p>テキスト表示制御の型宣言. </p>
<p><a class="el" href="structMDrawControl.html" title="テキスト表示制御の型宣言.">MDrawControl</a> 型は、M-text をどう表示するかを制御する構造体である。 </p>
<hr/><h2>構造体</h2>
<a class="anchor" id="af301cfe17b9e439d316e110a0bf3c92f"></a><!-- doxytag: member="MDrawControl::as_image" ref="af301cfe17b9e439d316e110a0bf3c92f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned <a class="el" href="structMDrawControl.html#af301cfe17b9e439d316e110a0bf3c92f">MDrawControl::as_image</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>0 でなければ、 M-text を画像として、すなわち背景を M-text のフェースで指定されている背景色で埋めて表示する。そうでなければ背景は変わらない。 </p>

</div>
</div>
<a class="anchor" id="a5aa326c8b84bf768b68596f6abafab42"></a><!-- doxytag: member="MDrawControl::align_head" ref="a5aa326c8b84bf768b68596f6abafab42" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned <a class="el" href="structMDrawControl.html#a5aa326c8b84bf768b68596f6abafab42">MDrawControl::align_head</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>0 でなく、各行の最初のグリフの lbearing が負ならば、グリフを水平に右にずらして、指定した位置より左にピクセルが描かれないようにする。 </p>

</div>
</div>
<a class="anchor" id="aa8078b02cc0922ee8c67b9633b68ec14"></a><!-- doxytag: member="MDrawControl::two_dimensional" ref="aa8078b02cc0922ee8c67b9633b68ec14" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned <a class="el" href="structMDrawControl.html#aa8078b02cc0922ee8c67b9633b68ec14">MDrawControl::two_dimensional</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>0 でなければ、M-text を２次元的に、すなわち M-text 中の newline で改行し、続く文字は次の行に表示する。もし &lt;format&gt; が NULL でなく、その関数が 0 でない行幅を返せば、その幅より長い行も改行される。 </p>

</div>
</div>
<a class="anchor" id="a1d5acd8d1a0da026c17c0c514ad6a303"></a><!-- doxytag: member="MDrawControl::orientation_reversed" ref="a1d5acd8d1a0da026c17c0c514ad6a303" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned <a class="el" href="structMDrawControl.html#a1d5acd8d1a0da026c17c0c514ad6a303">MDrawControl::orientation_reversed</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>0 でなければ、M-text を指定した位置の右に表示する。 </p>

</div>
</div>
<a class="anchor" id="aa1e5f8852e113906ae304de0392585cb"></a><!-- doxytag: member="MDrawControl::enable_bidi" ref="aa1e5f8852e113906ae304de0392585cb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned <a class="el" href="structMDrawControl.html#aa1e5f8852e113906ae304de0392585cb">MDrawControl::enable_bidi</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>0 なければ、bidi テキスト用にグリフを正しく整列する。 </p>

</div>
</div>
<a class="anchor" id="a5552f972cdf5378dd22001e30ea76c6c"></a><!-- doxytag: member="MDrawControl::ignore_formatting_char" ref="a5552f972cdf5378dd22001e30ea76c6c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned <a class="el" href="structMDrawControl.html#a5552f972cdf5378dd22001e30ea76c6c">MDrawControl::ignore_formatting_char</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>0 でなければ、ユニコードに置ける一般カテゴリが Cf (Other, format) である文字を表示しない。 </p>

</div>
</div>
<a class="anchor" id="ae64a993e19d6a445da577908b00f3215"></a><!-- doxytag: member="MDrawControl::fixed_width" ref="ae64a993e19d6a445da577908b00f3215" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned <a class="el" href="structMDrawControl.html#ae64a993e19d6a445da577908b00f3215">MDrawControl::fixed_width</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>0 でなければ、端末用のグリフを表示する。未実装。 </p>

</div>
</div>
<a class="anchor" id="acb409990f67127a3b770085d45f6ce2d"></a><!-- doxytag: member="MDrawControl::anti_alias" ref="acb409990f67127a3b770085d45f6ce2d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned <a class="el" href="structMDrawControl.html#acb409990f67127a3b770085d45f6ce2d">MDrawControl::anti_alias</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>0 でなければ、アンチエーリアスでグリフを表示する。 （バックエンドのフォントドライバがアンチエーリアス機能を持つ場合のみ。） </p>

</div>
</div>
<a class="anchor" id="a8ab506d53849a2527b91355d784c4fe9"></a><!-- doxytag: member="MDrawControl::disable_overlapping_adjustment" ref="a8ab506d53849a2527b91355d784c4fe9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned <a class="el" href="structMDrawControl.html#a8ab506d53849a2527b91355d784c4fe9">MDrawControl::disable_overlapping_adjustment</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>0 でなければ、フォント境界での水平方向のグリフの重なりを避けるためのグリフ位置の調整を無効にする。 </p>

</div>
</div>
<a class="anchor" id="a5dcb86bffa8bdbd27d9c629e972c8e4d"></a><!-- doxytag: member="MDrawControl::min_line_ascent" ref="a5dcb86bffa8bdbd27d9c629e972c8e4d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structMDrawControl.html#a5dcb86bffa8bdbd27d9c629e972c8e4d">MDrawControl::min_line_ascent</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>0 でなければ、値は行の ascent の最小値を示す。 </p>

</div>
</div>
<a class="anchor" id="af101c1b8c432dfdeeb9aedcc2acd788d"></a><!-- doxytag: member="MDrawControl::min_line_descent" ref="af101c1b8c432dfdeeb9aedcc2acd788d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structMDrawControl.html#af101c1b8c432dfdeeb9aedcc2acd788d">MDrawControl::min_line_descent</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>0 でなければ、値は行の descent の最小値を示す。 </p>

</div>
</div>
<a class="anchor" id="a580b5482104099d6d0b087e575e3bf49"></a><!-- doxytag: member="MDrawControl::max_line_ascent" ref="a580b5482104099d6d0b087e575e3bf49" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structMDrawControl.html#a580b5482104099d6d0b087e575e3bf49">MDrawControl::max_line_ascent</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>0 でなければ、値は行の ascent の最大値を示す。 </p>

</div>
</div>
<a class="anchor" id="a2801c3613af8ee5ffede27cdbcc1c91e"></a><!-- doxytag: member="MDrawControl::max_line_descent" ref="a2801c3613af8ee5ffede27cdbcc1c91e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structMDrawControl.html#a2801c3613af8ee5ffede27cdbcc1c91e">MDrawControl::max_line_descent</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>0 でなければ、値は行の descent の最大値を示す。 </p>

</div>
</div>
<a class="anchor" id="a7fc02b6a32786c4cb255c706f89dd1a4"></a><!-- doxytag: member="MDrawControl::max_line_width" ref="a7fc02b6a32786c4cb255c706f89dd1a4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structMDrawControl.html#a7fc02b6a32786c4cb255c706f89dd1a4">MDrawControl::max_line_width</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>0 でなければ、値はこのディスプレイ上で各行が占めることのできるピクセル数を示す。 0 は限定されないことを意味する。&lt;format&gt; が NULL でなければ無視される。 </p>

</div>
</div>
<a class="anchor" id="a80fd394fb5a68f773c06badcff75a67f"></a><!-- doxytag: member="MDrawControl::tab_width" ref="a80fd394fb5a68f773c06badcff75a67f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structMDrawControl.html#a80fd394fb5a68f773c06badcff75a67f">MDrawControl::tab_width</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>0 でなければ、値はタブストップ間の距離をコラム単位 （コラムはフレームのデフォルトフォントにおける空白文字の幅である）で示す。 0 は 8 を意味する。 </p>

</div>
</div>
<a class="anchor" id="a12ce6429f5889dc5e9dd7b96c3be6ed4"></a><!-- doxytag: member="MDrawControl::format" ref="a12ce6429f5889dc5e9dd7b96c3be6ed4" args=")(int line, int y, int *indent, int *width)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void(* <a class="el" href="structMDrawControl.html#a12ce6429f5889dc5e9dd7b96c3be6ed4">MDrawControl::format</a>)(int line, int y, int *indent, int *width)</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>0 でなければ、値は関数であり、その関数は行番号 LINE と座標 Y に基づいて各行のインデントと最大幅を計算し、それぞれをINDENT と WIDTH で指される場所に保存する。</p>
<p>インデントは、各行の最初のグリフを右（メンバ &lt;orientation_reversed&gt; が 0 の時）あるいは左（それ以外の時）に何ピクセルずらすかを指定する。値が負ならば逆方向にずらす。</p>
<p>最大幅は、各行がディスプレイ上で占めることのできるピクセル数の最大値である。値が 0 の場合は制限を受けないことを意味する。</p>
<p>LINE と Y は改行文字によって行が改まった際には 0 にリセットされ、長い行が最大幅の制限によって改行されるたびに 1 増やされる。</p>
<p>これは &lt;two_dimensional&gt; が 0 でない場合にのみ有効である。 </p>

</div>
</div>
<a class="anchor" id="a01f9bbffae254744fefe98794f357439"></a><!-- doxytag: member="MDrawControl::line_break" ref="a01f9bbffae254744fefe98794f357439" args=")(MText *mt, int pos, int from, int to, int line, int y)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int(* <a class="el" href="structMDrawControl.html#a01f9bbffae254744fefe98794f357439">MDrawControl::line_break</a>)(<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int pos, int from, int to, int line, int y)</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>NULL でなければ、値は行が最大幅中に収まらない場合に行を改める位置を計算する関数である。 POS は最大幅に収まる最後の文字の次の文字の位置である。FROM は行の最初の文字の位置、TO は最大幅が指定されていなければその行に表示される最後の文字の位置である。LINE と Y は &lt;format&gt; の引数と同様である。</p>
<p>この関数は行を改める文字位置を返さなくてはならない。また MT を変更してはならない。</p>
<p>関数 <a class="el" href="group__m17nDraw.html#ga457d91ccebabb26e1d7ab27f616cecb5" title="改行位置を計算する.">mdraw_default_line_break()</a> は、空白を語の区切りとして用いるスクリプト用として有用である。 </p>

</div>
</div>
<a class="anchor" id="a06b6e4aa0a938077c6a3885f26e00fa1"></a><!-- doxytag: member="MDrawControl::with_cursor" ref="a06b6e4aa0a938077c6a3885f26e00fa1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMDrawControl.html#a06b6e4aa0a938077c6a3885f26e00fa1">MDrawControl::with_cursor</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>ゼロでなければ &lt;cursor_width&gt; にしたがってカーソルを表示する。 </p>

</div>
</div>
<a class="anchor" id="a86f43b5b69cac1ae87df02d129bb41cb"></a><!-- doxytag: member="MDrawControl::cursor_pos" ref="a86f43b5b69cac1ae87df02d129bb41cb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMDrawControl.html#a86f43b5b69cac1ae87df02d129bb41cb">MDrawControl::cursor_pos</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>カーソルを表示する文字位置を示す。最大の文字位置より大きければ、カーソルは M-text の最後の文字の隣に表示される。負ならば、 &lt;cursor_width&gt; が 0 でなくてもカーソルは表示されない。 </p>

</div>
</div>
<a class="anchor" id="abecdf1eed786dd72a99a58a77508c605"></a><!-- doxytag: member="MDrawControl::cursor_width" ref="abecdf1eed786dd72a99a58a77508c605" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMDrawControl.html#abecdf1eed786dd72a99a58a77508c605">MDrawControl::cursor_width</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>0 でなければ、&lt;cursor_pos&gt; にカーソルを表示する。 値が正ならば、カーソルの幅はその値（ピクセル単位）である。 負ならば、カーソルのあるグリフと同じ幅である。 </p>

</div>
</div>
<a class="anchor" id="acc07249ccdbadac27613ef85e3eaf619"></a><!-- doxytag: member="MDrawControl::cursor_bidi" ref="acc07249ccdbadac27613ef85e3eaf619" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMDrawControl.html#acc07249ccdbadac27613ef85e3eaf619">MDrawControl::cursor_bidi</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>If 0 でなく、かつ &lt;cursor_width&gt; も 0 でなければ、バーカーソルを文字位置 &lt;cursor_pos&gt; と論理的にそれの前にある文字の２ヶ所に表示する。 双方とも１ピクセル幅で、上か下に水平の飾りがつく。 </p>

</div>
</div>
<a class="anchor" id="ab2291cc39af2f862b4e5ebd1dbba4162"></a><!-- doxytag: member="MDrawControl::partial_update" ref="ab2291cc39af2f862b4e5ebd1dbba4162" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMDrawControl.html#ab2291cc39af2f862b4e5ebd1dbba4162">MDrawControl::partial_update</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>0 でなければ、テキストの一部分を表示する際に、前後のテキストのうちその表示領域に侵入する部分も表示する。 たとえば、タイ語テキスト 子音-母音-子音 というシークエンスのいくつかは、母音が二つの子音の間に上にのるように描かれる。 このようなシークエンスがすでに描かれており、最後の子音だけを描き直す場合 （たとえば、カーソル位置を更新する際など）このメンバが 0 であれば、母音の右半分が消されてしまう。これを 0 以外にすることによって、そのような際にも 子音-母音-子音 のシークエンスを正しく表示し続けることができる。 </p>

</div>
</div>
<a class="anchor" id="a5e496fa6dcad730d7d04048b87c0d01e"></a><!-- doxytag: member="MDrawControl::disable_caching" ref="a5e496fa6dcad730d7d04048b87c0d01e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMDrawControl.html#a5e496fa6dcad730d7d04048b87c0d01e">MDrawControl::disable_caching</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>0 でなければ、M-text の表示に関する情報をキャッシュしない。 </p>

</div>
</div>
<a class="anchor" id="a3485775bf4708899bbad2626e6c594ce"></a><!-- doxytag: member="MDrawControl::clip_region" ref="a3485775bf4708899bbad2626e6c594ce" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nDraw.html#ga9818c0695d9162a9637fa4e98a1d477d">MDrawRegion</a> <a class="el" href="structMDrawControl.html#a3485775bf4708899bbad2626e6c594ce">MDrawControl::clip_region</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>NULL でなければ表示エリアを指定された領域に限定する。 </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>全て</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>データ構造</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>ファイル</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>関数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>変数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>型定義</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>列挙型</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>列挙型の値</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>マクロ定義</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<!-- -*- coding: utf-8; -*- -->
<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-ja/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
